Patch Transaction
curl --request PATCH \
--url https://api.example.com/v1/transactions/{entity_id} \
--header 'Content-Type: application/json' \
--data '
{
"sku": "<string>",
"region": "<string>",
"sales_value": 123,
"gross_profit": 123,
"stock_after_sale": 123,
"regular_price": 123,
"promo_type": "<string>",
"zone_price": 123,
"external_transaction_id": "<string>",
"unit_cost": 123,
"discount_rate": 123,
"currency": "<string>",
"tax_rate": 123,
"transaction_type": "<string>",
"item_id": "<string>",
"store_id": "<string>",
"transaction_timestamp": "2023-11-07T05:31:56Z",
"quantity": 123,
"selling_price": 123
}
'import requests
url = "https://api.example.com/v1/transactions/{entity_id}"
payload = {
"sku": "<string>",
"region": "<string>",
"sales_value": 123,
"gross_profit": 123,
"stock_after_sale": 123,
"regular_price": 123,
"promo_type": "<string>",
"zone_price": 123,
"external_transaction_id": "<string>",
"unit_cost": 123,
"discount_rate": 123,
"currency": "<string>",
"tax_rate": 123,
"transaction_type": "<string>",
"item_id": "<string>",
"store_id": "<string>",
"transaction_timestamp": "2023-11-07T05:31:56Z",
"quantity": 123,
"selling_price": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sku: '<string>',
region: '<string>',
sales_value: 123,
gross_profit: 123,
stock_after_sale: 123,
regular_price: 123,
promo_type: '<string>',
zone_price: 123,
external_transaction_id: '<string>',
unit_cost: 123,
discount_rate: 123,
currency: '<string>',
tax_rate: 123,
transaction_type: '<string>',
item_id: '<string>',
store_id: '<string>',
transaction_timestamp: '2023-11-07T05:31:56Z',
quantity: 123,
selling_price: 123
})
};
fetch('https://api.example.com/v1/transactions/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_id": "<string>",
"sku": "<string>",
"region": "<string>",
"sales_value": "<string>",
"gross_profit": "<string>",
"stock_after_sale": "<string>",
"regular_price": "<string>",
"promo_type": "<string>",
"zone_price": "<string>",
"external_transaction_id": "<string>",
"unit_cost": "<string>",
"discount_rate": "<string>",
"currency": "<string>",
"tax_rate": "<string>",
"transaction_type": "<string>",
"store_id": "<string>",
"transaction_timestamp": "2023-11-07T05:31:56Z",
"quantity": "<string>",
"selling_price": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}transactions
Patch Transaction
PATCH
/
v1
/
transactions
/
{entity_id}
Patch Transaction
Path Parameters
Body
application/json
Response
Successful Response
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$⌘I

